__gnu_parallel::_EqualFromLess< _T1, _T2, _Compare > Class Template Reference

`#include <base.h>`

Inheritance diagram for __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >:
[legend]

## Public Types

typedef _T1 | first_argument_type
typedef bool | result_type
typedef _T2 | second_argument_type

## Public Member Functions

| _EqualFromLess (_Compare &__comp)
bool | operator() (const _T1 &__a, const _T2 &__b)

## Detailed Description

template<typename _T1, typename _T2, typename _Compare>
class __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >

Constructs predicate for equality from strict weak ordering predicate.

Definition at line 157 of file parallel/base.h.

## Member Typedef Documentation

## first_argument_type

typedef _T1 std::binary_function< _T1 , _T2 , bool >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 121 of file stl_function.h.

## result_type

typedef bool std::binary_function< _T1 , _T2 , bool >::result_type

inherited

`result_type` is the return type

Definition at line 127 of file stl_function.h.

## second_argument_type

typedef _T2 std::binary_function< _T1 , _T2 , bool >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 124 of file stl_function.h.

## Constructor & Destructor Documentation

## _EqualFromLess()

template<typename _T1 , typename _T2 , typename _Compare >

__gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >::_EqualFromLess | ( | _Compare & | __comp | ) |

inline

Definition at line 163 of file parallel/base.h.

## Member Function Documentation

## operator()()

template<typename _T1 , typename _T2 , typename _Compare >

bool __gnu_parallel::_EqualFromLess< _T1, _T2, _Compare >::operator() | ( | const _T1 & | __a,
|  | const _T2 & | __b
| ) |  |

inline

Definition at line 165 of file parallel/base.h.

The documentation for this class was generated from the following file:

- parallel/base.h